Bug 164587 - [WebRTC][OpenWebRTC] parse turns urls
Summary: [WebRTC][OpenWebRTC] parse turns urls
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 164817
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-10 04:12 PST by Philippe Normand
Modified: 2016-11-21 01:41 PST (History)
4 users (show)

See Also:


Attachments
patch (2.87 KB, patch)
2016-11-16 07:41 PST, Philippe Normand
no flags Details | Formatted Diff | Diff
patch (2.80 KB, patch)
2016-11-16 07:54 PST, Philippe Normand
alex: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2016-11-10 04:12:24 PST
Since bug 164506 was fixed the end-point should now parse turns urls and pass them on to openwebrtc.
Comment 1 Philippe Normand 2016-11-16 07:39:34 PST
Depends on https://github.com/EricssonResearch/openwebrtc/pull/658
Comment 2 Philippe Normand 2016-11-16 07:41:41 PST
Created attachment 294938 [details]
patch
Comment 3 WebKit Commit Bot 2016-11-16 07:42:58 PST
Attachment 294938 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/openwebrtc/MediaEndpointOwr.cpp:586:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/mediastream/openwebrtc/MediaEndpointOwr.cpp:587:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Philippe Normand 2016-11-16 07:54:31 PST
Created attachment 294940 [details]
patch
Comment 5 Alejandro G. Castro 2016-11-17 04:20:40 PST
Comment on attachment 294940 [details]
patch

Why do we have the style issues?
Comment 6 Philippe Normand 2016-11-17 05:10:35 PST
Which style issues? :) They've been fixed in the patch you reviewed.
Comment 7 Philippe Normand 2016-11-21 01:41:56 PST
Committed r208944: <http://trac.webkit.org/changeset/208944>